Miracle Docs
Fee schedules

List fee schedules

GET
/v1/admin/fee-schedules
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://api.miracle.com/v1/admin/fee-schedules"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
      "name": "string",
      "description": "string",
      "status": "draft",
      "rules": [
        {
          "transactionType": "payment",
          "transactionOutcome": "successful",
          "method": "fixed",
          "fixedAmount": {
            "currency": "string",
            "valueMinor": 0
          },
          "percentageRate": 10000,
          "minAmount": {
            "currency": "string",
            "valueMinor": 0
          },
          "maxAmount": {
            "currency": "string",
            "valueMinor": 0
          },
          "currency": "string"
        }
      ],
      "rollingReserve": {
        "rate": 10000,
        "holdDays": 0,
        "autoRelease": true,
        "roundingMode": "floor"
      },
      "createdAt": "string",
      "updatedAt": "string",
      "deletedAt": null,
      "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
      "activatedAt": "string",
      "archivedAt": "string"
    }
  ],
  "pagination": {
    "nextCursor": "string",
    "prevCursor": "string",
    "hasMore": true,
    "totalCount": 0
  }
}
Empty

On this page